Bug 998238

Summary: Review Request: office-runner - Game for corporate laptop owner
Product: [Fedora] Fedora Reporter: Baptiste Mille-Mathias <baptiste.millemathias>
Component: Package ReviewAssignee: Haïkel Guémar <karlthered>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: bnocera, i, karlthered, notting
Target Milestone: ---Flags: karlthered: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: office-runner-1.0.1-2.fc20 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-10-12 00:24:10 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Baptiste Mille-Mathias 2013-08-18 10:53:03 EDT
Spec URL: http://tmp.damnpeople.fr/office-runner.spec
SRPM URL: http://tmp.damnpeople.fr/office-runner-1.0.1-1.fc19.src.rpm
Description: office-runner is a small game to count the time needed to go from a place to another (from a meeting room to another for instance). Explanations here: http://www.hadess.net/2011/09/omg-i-haz-designed-bug-fix.html 
Fedora Account System Username:baptistemm
Comment 1 Bastien Nocera 2013-08-18 22:36:26 EDT
I would mention the side-effect of it stopping the laptop suspending for a period of up to 10 minutes.
Comment 2 Haïkel Guémar 2013-08-19 11:04:32 EDT
If you're still looking for a sponsor, i'm willing to start the process with you.
Concerning your review:
1. you don't need to clean up the buildroot (unless, you want to support EL5 but if that's the case, there are many missing bits to do so)
2. requires are likely to be useless, since RPM may compute them for you

For the sponsorship, i'll requires you do two (non trivial !) informal package reviews of your choice so i can assess your knowledge of RPM packaging. I'll also assess your involvement, though it should be OK in your case (you're already a FOSS veteran and have good relationship with upstream which even took the time to answer in your review :) )
Make sure to read our guidelines, and feel free to ask me about them and our packaging process.
Comment 3 Christopher Meng 2013-08-19 11:22:01 EDT
I want to know if the side affect is acceptable. 



BTW if you assign it please change the status of bug.
Comment 4 Baptiste Mille-Mathias 2013-08-19 13:08:17 EDT
(In reply to Christopher Meng from comment #3)
> I want to know if the side affect is acceptable. 
> 

Bastien, who is the author of office-runner, did that by choice, in order to make some people happy about the lack of choice of policy when closing the lid on laptop. So I guess it's acceptable :)
Comment 5 Baptiste Mille-Mathias 2013-08-20 16:18:35 EDT
(In reply to Haïkel Guémar from comment #2)
> If you're still looking for a sponsor, i'm willing to start the process with
> you.

Yes 

> Concerning your review:
> 1. you don't need to clean up the buildroot (unless, you want to support EL5
> but if that's the case, there are many missing bits to do so)

I guess you refer to 
 %install
 rm -rf $RPM_BUILD_ROOT

tbh, I used the template created by rpmdev-newspec and add the content needed to build around that. I'll remove that part.

> 2. requires are likely to be useless, since RPM may compute them for you

Okay, I'll remove that too.

> 
> For the sponsorship, i'll requires you do two (non trivial !) informal
> package reviews of your choice so i can assess your knowledge of RPM
> packaging. 

Ok, I'm currently reading the guidelines and finding accurate documentation. I can get back to you next week regarding the reviews process I have to do.

> I'll also assess your involvement, though it should be OK in your
> case (you're already a FOSS veteran and have good relationship with upstream
> which even took the time to answer in your review :) )

Thanks!!

> Make sure to read our guidelines, and feel free to ask me about them and our
> packaging process.

Sure.
Comment 6 Baptiste Mille-Mathias 2013-08-24 12:24:21 EDT
Hello,

I've done review of a first package (see bug 999153)

Concerning office-runner I updated the spec file
Spec URL: http://tmp.damnpeople.fr/office-runner.spec
SRPM URL: http://tmp.damnpeople.fr/office-runner-1.0.1-2.fc19.src.rpm

Changes done:
* Sat Aug 24 2013 Baptiste Mille-Mathias <baptistem@gnome.org> - 1.0.1-2
- Update call to update icon cache to match the one provided in 
  http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
- Remove useless call to update-mime-database
- Use macro %{buildroot} consistently

Regards
Comment 7 Baptiste Mille-Mathias 2013-08-24 13:18:55 EDT
I issue a scratch build on koji, all archs built without problem.
http://koji.fedoraproject.org/koji/taskinfo?taskID=5849670

Regarding the packaging, I seen the desktop files doesn't validate:
desktop-file-validate /usr/share/applications/office-runner.desktop 
/usr/share/applications/office-runner.desktop: hint: value "GTK;GNOME;Utility;Game;ArcadeGame;SportsGame;" for key "Categories" in group "Desktop Entry" contains more than one main category; application might appear more than once in the application menu

Bastien, should I need to report a bug on GNOME BTS ?
Comment 8 Baptiste Mille-Mathias 2013-09-05 04:03:59 EDT
Hello,

Some update about the packaging validation process, in the meanwhile I did the 2 informational reviews backed By Haïkel.
- Bug 999153 : Review Request: geoclue2 - Geolocation service
- Bug 997478 : sugar-runner - Sugar runner emulator for development 

Regards.
Comment 9 Haïkel Guémar 2013-10-01 08:41:42 EDT
scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6010115

Since this package respects Fedora packaging guidelines, i hereby approve of this package.

As a sponsor, i could testify that Baptiste has grasped the basics of RPM packaging and our guidelines and that he is able to maintain seriously his packages. So i also sponsor him into the packager group.


@Baptiste: as your sponsor, i will oversee your first commits for a while and i'll remain available if you have any questions on packaging, guidelines or process. And don't be shy :)

After you receive confirmation from your sponsorship, you should submit an SCM request to import your package: https://fedoraproject.org/wiki/Package_SCM_admin_requests

(the whole process is documented here: https://fedoraproject.org/wiki/Join_the_package_collection_maintainers)

Congratulations for joining the Fedora Packager group :)

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[-]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GPL (v3 or later)". Detailed output of licensecheck in
     /home/haikel/998238-office-runner/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in office-runner
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: office-runner-1.0.1-2.fc18.x86_64.rpm
          office-runner-1.0.1-2.fc18.src.rpm
office-runner.x86_64: E: zero-length /usr/share/doc/office-runner-1.0.1/README
office-runner.x86_64: W: no-manual-page-for-binary office-runner
office-runner.src:62: W: macro-in-%changelog %{buildroot}
2 packages and 0 specfiles checked; 1 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint office-runner
office-runner.x86_64: E: zero-length /usr/share/doc/office-runner-1.0.1/README
office-runner.x86_64: W: no-manual-page-for-binary office-runner
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
office-runner (rpmlib, GLIBC filtered):
    /bin/sh
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
office-runner:
    office-runner
    office-runner(x86-64)



Source checksums
----------------
http://ftp.gnome.org/pub/GNOME/sources/office-runner/1.0/office-runner-1.0.1.tar.xz :
  CHECKSUM(SHA256) this package     : bbb9932c414d58caf3e71656258a4f49218e42256d0349c6e44366345b23174b
  CHECKSUM(SHA256) upstream package : bbb9932c414d58caf3e71656258a4f49218e42256d0349c6e44366345b23174b


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/bin/fedora-review -b 998238
Buildroot used: fedora-18-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 10 Haïkel Guémar 2013-10-01 08:43:39 EDT
By the way, don't forget to remove the zero-length README from %doc before importing your package !!!
Comment 11 Baptiste Mille-Mathias 2013-10-02 15:02:49 EDT
New Package SCM Request
=======================
Package Name: office-runner
Short Description: office-runner is a game for laptop owner to time the duration needed to go from a place to another, from a meeting to another for instance.
Owners: baptistemm hguemar
Branches: f19 f20 el6
InitialCC:
Comment 12 Baptiste Mille-Mathias 2013-10-02 15:10:08 EDT
correction of flags
Comment 13 Jon Ciesla 2013-10-02 15:18:40 EDT
fedora-review flag not set
Comment 14 Haïkel Guémar 2013-10-03 09:48:47 EDT
I resetted correctly the fedora-review flag.
Comment 15 Baptiste Mille-Mathias 2013-10-03 11:03:24 EDT
New Package SCM Request
=======================
Package Name: office-runner
Short Description: office-runner is a game for laptop owner to time the duration needed to go from a place to another, from a meeting to another for instance.
Owners: baptistemm hguemar
Branches: f19 f20 el6
InitialCC:
Comment 16 Jon Ciesla 2013-10-03 11:15:05 EDT
Git done (by process-git-requests).
Comment 17 Fedora Update System 2013-10-03 13:10:46 EDT
office-runner-1.0.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/office-runner-1.0.1-2.fc20
Comment 18 Fedora Update System 2013-10-03 22:04:30 EDT
office-runner-1.0.1-2.fc20 has been pushed to the Fedora 20 testing repository.
Comment 19 Fedora Update System 2013-10-12 00:24:10 EDT
office-runner-1.0.1-2.fc20 has been pushed to the Fedora 20 stable repository.